# Benelli M3 Super 90
### This is a pump-action shotgun, but also not.

## Changelog
`1.0.0`  
Initial release

`1.1.0`  
- New features:
	- Added different sounds for the slide in semi-auto mode.
	
`1.2.0`
- Changes: 
	- Made mats smooth, forgot to do that, oops.
	- Centered view for Lock Gun To Center option (yuck).
	- Made shells not clip into the top of the screen.
	
- The sights are still misaligned if the gun distance is set too high. Probably due to how the pose system for this is set up (???)

## Download & Installation
(You can watch [this](https://www.youtube.com/watch?v=xe5f_CwQQVo) video guide in case something isn't clear)  							
 - Download the files in the releases section.<br />
 - Extract the .zip file somewhere.
 - Launch the game with the modding kit DLL installed.
 - Go into setting and click on the "Install" button.
 - Navigate to where you extracted the .zip file
 - After clicking the prompt to install the gun, restart the game. <br />
 <br />**Alternatively, if you prefer the manual method:**
 - Copy the file called _"M3S90_Files"_ in **MR223_(OS).rar** to <br />
 `%UserProfile%\AppData\LocalLow\Wolfire Games\Receiver2\Guns` - Windows <br />
 `~/Library/Application Support/Wolfire Games/Receiver2/Guns` – Mac OS<br />
 `~/.config_unity3d/Wolfire Games/Receiver2/Guns` – Linux <br />
 - Copy the file called _"M3S90_plugin"_ in **MR223_(OS).rar** to (where you have R2 installed) **Receiver 2\BepinEx\plugins**

## Usage & Features
 - Go to the debug menu, and start the custom campaign, or go to the debug menu and spawn the gun + ammo in.
 - Press "E" (by default) to enable ammo insert mode, then press "Z" (by default) to insert ammo in the mag.
 - Press the hammer key when the bolt is closed to switch firing modes.
 - While in semi-auto mode, you may be subject to malfunctions :D.
 - It shoots 12 Gauge Fléchettes.
 - The safety also works :).

## Credits baybeeeee
 - Szikaka for carrying me in Elden Ring, and having made the Winchester and the Tube Magazine Script, among other stuff</br>
 - Wolfire for this game (me want LCR)</br>
 - BSG for the sounds, models, and textures</br>
 - Blackfoot Studios for some of the sounds</br>
 - Rest by moi (Ciarence#6364) </br>